Subject: bug#28636: 27.0.50; Unable to load color "gtk_selection_bg_color" in 27.0.50

From: Philipp Stephani <[email-masked]>
Date: Fri, 29 Sep 2017 20:42:24 +0000

martin rudalics <[email-masked]> schrieb am Fr., 29. Sep. 2017 um
10:35 Uhr:

>  >> A version of Emacs compiled from git (27.0.50), using GTK 3.22.21
>  >> (openSUSE Tumbleweed) do not show the selection text.
>  >>
>  >> There is a text error in *Message* buffer:
>  >>
>  >> Unable to load color "gtk_selection_bg_color"
>  >>
>  >>
>  > Does reverting commit f6818e761eaafe095e07249180dc8f9a329f1473 help?
>  > (For context, in newer versions of GTK+ the concept of a background
> color
>  > is deprecated because backgrounds can be arbitrary pictures.)
>
> Couldn't we just be silent about this then?
>
>
Do you mean silencing the compiler warning? I guess so, but I think that
would be a bit dangerous: at some point the function might get removed
entirely, then we'd have to scramble to find a replacement to keep the code
compilable, so I'd rather keep the compiler warning until we find a good
solution.